# About the project

This is a demo project to showcase full workflow from Figma to Qt for MCU via Qt Design Studio.

The Figma project [McuDemo.fig](/examples/TreadmillMcuDemo/figmadesign/McuDemo.fig) is already fine-tuned to make the conversion easy and it shows all the best practises for making a great user experience when doing a Qt for MCU project with Qt Design Studio. Also included is an example export [McuDemo.qtbridge](/examples/TreadmillMcuDemo/figmadesign/McuDemo.qtbridge) from Figma via the Qt Bridge for Figma plugin.

The project has been tested with Qt Design Studio 4.7.1 and Qt Creator 16.0.0 with Qt for MCUs 2.9.1 on STM32F7 hardware.

## How to run from an empty DS project

1. Open [McuDemo.fig](/examples/TreadmillMcuDemo/figmadesign/McuDemo.fig) in figma (or just grab the example import file [McuDemo.qtbridge](/examples/TreadmillMcuDemo/figmadesign/McuDemo.qtbridge) and skip to step 5.)

2. Get Qt Bridge for Figma from Figma's main menu -> Plugins -> Manage plugins

3. Export the design with the bridge

4. Create a new MCU project in DS, resolution should be 800x480

5. Import .qtbridge contents to DS assets (+ button in assets, or just drag n drop to the 2D view)

6. Install the [exo](https://fonts.google.com/specimen/Exo) font on your system, or get the necessary font files from [fonts](/examples/TreadmillMcuDemo/fonts)

7. Get the logic from [TreadmillMcuDemo.qml](/examples/TreadmillMcuDemo/TreadmillMcuDemo.qml) or make your own

8. Get the animations from [SplashScreen.ui.qml](/examples/TreadmillMcuDemo/SplashScreen.ui.qml) and [TrackView.ui.qml](/examples/TreadmillMcuDemo/TrackView.ui.qml) or make your own

9. Running in Qt Creator:
```
-choose MCU kit
-open CMakeLists.txt
-ignore (or fix) the warnings, shouldn't use the directory property on MCU projects.
-if build fails, it might help to clear CMake configuration and then rebuilding the project
```
